%define upstream_name    Class-Accessor-Lite
%define upstream_version 0.08

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    A minimalistic variant of Class::Accessor
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildArch:  noarch

%description
The module is a variant of 'Class::Accessor'. It is fast and requires less
typing, has no dependencies to other modules, and does not mess up the
@ISA.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.80.0-3.mga6
+ Revision: 1023848
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.80.0-2.mga6
+ Revision: 967780
- Mageia 6 Mass Rebuild

* Sat Jul 04 2015 sander85 <sander85> 0.80.0-1.mga6
+ Revision: 850232
- update to 0.08

* Wed Oct 15 2014 umeabot <umeabot> 0.60.0-3.mga5
+ Revision: 746413
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.60.0-2.mga5
+ Revision: 683880
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 jquelin <jquelin> 0.60.0-1.mga5
+ Revision: 588246
- update to 0.06

* Fri Oct 18 2013 umeabot <umeabot> 0.50.0-3.mga4
+ Revision: 509972
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.50.0-2.mga3
+ Revision: 364239
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + jquelin <jquelin>
    - imported package perl-Class-Accessor-Lite


* Mon Jul 25 2011 cpan2dist 0.05-1mga
- initial mageia release, generated with cpan2dist
